
#ifndef __KYLIN_NETCTROL_INTERFACE_H__
#define __KYLIN_NETCTROL_INTERFACE_H__

#define KYLIN_NETCTRL_STRLEN (2048)
#define KYLIN_NETCTRL_DEFAULT_IPV4  "0.0.0.0"
#define KYLIN_NETCTRL_DEFAULT_IPV6  "::"


enum NETCONTROL_ERR_CODE{
	NETCT_SUCCESS= 0,  //成功
	NETCT_DO_FAILED= 1,//执行失败
	NETCT_INVALID_RULE,//无效规则
	NETCT_INVALID_MODE,//不支持的模块
	NETCT_PARM_MISMATCH,//参数不匹配

	NETCT_UNKOWN_ERR= 1023,
};

enum NETCONTROL_LOG_TYPE{
	NETCT_NOTICE_LOG= 0,  //通知类
	NETCT_AUDIT_LOG= 1,//审计类
};


int kylinNetCtrolInit ();
void* kylinNetCtrolGetNmRuleValue(char * nmName,char * setingName,char * extendLabel);//根据networkmanager配置参数直接获取管控值
void* kylinNetCtrolGetRuleValue(char * modName,char * ruleName);//获取配置管控值
int kylinNetCtrolSetRuleValue(char * modName,char * ruleName,void * value);
int kylinNetCtrolSendLog(int errcode,int type,char * message);//同步调用
int kylinNetCtrolCheckIsHedron(void);



#endif /* __KYLIN_NETCTROL_INTERFACE_H__ */
